#include "mbed.h"
#include "JPEGCamera.h"
#include <stdio.h>
#include "base64.h"
#include "SDFileSystem.h"

//LocalFileSystem local("local");
Serial pc(USBTX,USBRX);
Serial xbee(p9, p10);
SDFileSystem sd(p5,p6,p7,p8,"sd");

int main() {
    
 
    
    JPEGCamera camera(p13, p14); // TX, RX
    Timer timer;
    timer.start();
    camera.setPictureSize(JPEGCamera::SIZE320x240);
    
    FILE *fp;
                    base64 *bs;
                    int  b;
                    xbee.printf("xbee connected!\r\n");
                    bs = new base64();
                   // char fn[15] = "/local/pict";
                  //  char ff[5] =".jpg" ;
                    
                    

    for (int k = 0; k < 10; k++) {
        if (camera.isReady()) {
            
            char filename[25];
            mkdir("/sd/mydir", 0777);
            snprintf(filename,25, "%s%03d%s","/sd/mydir/pict",k,".jpg");
             
            printf("Picture: %s ", filename);
            //fprintf(fp,"%s",filename);
              
    
            if (camera.takePicture(filename)) {
                while (camera.isProcessing()) {
                    camera.processPicture();
              
            } 
           
                    bs->Encode(filename,"/sd/mydir/d.txt");
                    if((fp=fopen("/sd/mydir/d.txt","r"))!=NULL)
                    
  {
      while ((b=fgetc(fp))!=EOF){
          xbee.printf("%c",b);
      }
      fclose(fp);
                }
                if(fp == NULL) {
        error("Could not open file for write\n");
    }
            }else {
                printf("take picture failed\n");
            }
        } else {
            printf("camera is not ready\n");
        }
        wait(60);
    }
    printf("time = %f\n", timer.read());
    
 return 0;   
}
